Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045372
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2020-11-04 05:262020-11-17 17:28
ReporterlbressanView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in VersionPR21Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045372: The process "Reset accounting" modifies records with the period closed

DescriptionThe process "Reset accounting" modifies records with the period closed when Delete existing Accounting Entries is checked and several month period is selected using Starting Date and Ending Date parameter fields.
Steps To Reproduce. Create a "Purchase Invoice" with any line, complete it and post it. (IE: 28/10/2020)
. Go to "Open/Close period control".
. Close the period of the previous invoice. (IE: Period 10)
. Go to "Reset accounting". Check "Delete existing Accounting Entries". Select 1 month before and 1 month after the month of the previous invoice using Starting Date and Ending Date parameter fields (IE: From 01/09/2020 to 30/11/2020). Execute the process.
Go back to the "Purchase Invoice". The "Purchase Invoice" will be unpost it.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0124191)
AtulOpenbravo (developer)
2020-11-05 19:09

Test Plan
- Login as F&B International Group Admin.
- Create a "Purchase Invoice" with any line, complete it and post it. (Invoiced Date = Accounting Date: 28/10/2020).
- Go to "Open/Close period control".
- Close the period of the previous invoice. (Invoiced Date = Accounting Date = Period : Oct 2020).
- Go to "Reset accounting". Check "Delete existing Accounting Entries". Select 1 month before and 1 month after the month of the previous invoice using Starting Date and Ending Date parameter fields.
From Date: 01/09/2020
To Date: 30/11/2020)
Execute the process.
- Go back to the Purchase Invoice, realize that purchase invoice does not get unposted by reset accounting process.
(0124192)
AtulOpenbravo (developer)
2020-11-05 19:15
edited on: 2020-11-05 19:15

Test Plan
- Run General Ledger Report with parameters:
   a) From Date= 01-01-2018
   b) To Date= 31-12-2018
   c) Organization = F&B España, S.A
   d) General Ledger = F&B España, S.A US/A/EURO
   e) From account "43000 Clientes (euros) a corto plazo" to account "43000 Clientes (euros) a corto plazo"
- Realize that there exists accounting information from different days of February 2018 (12-02-2018, 13-02-2018 and 14-02-2018)
- Run Reset accounting process with parameters:
   a) Organization= F&B España, S.A
   b) Delete existing accounting entries= YES
   c) Starting date= 12-02-2018
   d) Ending date= 12-02-2018
- Run General Ledger Report again using same parameters and verify that entries with date is 12-02-2018 are deleted and rest are shown.

(0124206)
hgbot (developer)
2020-11-06 08:07

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/217 [^]
(0124457)
hgbot (developer)
2020-11-17 17:28

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/217 [^]
(0124458)
hgbot (developer)
2020-11-17 17:28

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 115aa1795bbf3b5f4e29d343fa5bd0cc5017fb61
Author: Atul Gaware <atul.gaware@openbravo.com>
Date: 2020-11-05T23:29:30+05:30
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/115aa1795bbf3b5f4e29d343fa5bd0cc5017fb61 [^]

Fixes BUG-0045372: The process "Reset accounting" modifies
records with the period closed

** Get records between the lowest date of the dateFrom and
the periodStartDate, and the highest date from dateTo
and periodEndDate

---
M src/org/openbravo/financial/ResetAccounting.java
---
(0124459)
hgbot (developer)
2020-11-17 17:28

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: d6d78c4c55a772ebc1ccb2c48ac5303816416b96
Author: Atul Gaware <atul.gaware@openbravo.com>
Date: 2020-11-17T21:52:49+05:30
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/d6d78c4c55a772ebc1ccb2c48ac5303816416b96 [^]

Fixes BUG-0045372: The process "Reset accounting" modifies
records with the period closed

** Get records between the lowest date of the dateFrom and
the periodStartDate, and the highest date from dateTo
and periodEndDate

---
M src/org/openbravo/financial/ResetAccounting.java
---

- Issue History
Date Modified Username Field Change
2020-11-04 05:26 lbressan New Issue
2020-11-04 05:26 lbressan Assigned To => Triage Finance
2020-11-04 05:26 lbressan Modules => Core
2020-11-04 05:26 lbressan Triggers an Emergency Pack => No
2020-11-04 08:01 Practics Issue Monitored: Practics
2020-11-04 11:41 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2020-11-04 11:41 AtulOpenbravo Status new => scheduled
2020-11-05 19:09 AtulOpenbravo Note Added: 0124191
2020-11-05 19:15 AtulOpenbravo Note Added: 0124192
2020-11-05 19:15 AtulOpenbravo Note Edited: 0124192 View Revisions
2020-11-06 08:07 hgbot Note Added: 0124206
2020-11-17 17:28 hgbot Resolution open => fixed
2020-11-17 17:28 hgbot Status scheduled => closed
2020-11-17 17:28 hgbot Note Added: 0124457
2020-11-17 17:28 hgbot Fixed in Version => PR21Q1
2020-11-17 17:28 hgbot Note Added: 0124458
2020-11-17 17:28 hgbot Note Added: 0124459


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker